Bug 905704 (CVE-2013-0214) - CVE-2013-0214 samba: cross-site request forgery vulnerability in SWAT
Summary: CVE-2013-0214 samba: cross-site request forgery vulnerability in SWAT
Status: CLOSED ERRATA
Alias: CVE-2013-0214
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130130,repor...
Keywords: Security
Depends On: 906002 906003 957589 957591 1015359 1073350 1073351
Blocks: 905705 952520 974906
TreeView+ depends on / blocked
 
Reported: 2013-01-30 01:01 UTC by Vincent Danen
Modified: 2018-12-03 18:13 UTC (History)
6 users (show)

Fixed In Version: samba 4.0.2, samba 3.6.12, samba 3.5.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 18:16:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1310 normal SHIPPED_LIVE Moderate: samba3x security and bug fix update 2013-10-01 00:31:20 UTC
Red Hat Product Errata RHSA-2013:1542 normal SHIPPED_LIVE Moderate: samba security, bug fix, and enhancement update 2013-11-20 21:40:45 UTC
Red Hat Product Errata RHSA-2014:0305 normal SHIPPED_LIVE Moderate: samba security update 2014-03-17 21:42:45 UTC

Description Vincent Danen 2013-01-30 01:01:01 UTC
It was reported [1] that Samba's SWAT web configuration interface suffered from a potential cross-site request forgery (CSRF) vulnerability.

This is being fixed by using a random nonce stored in secrets.tdb.

[1] https://bugzilla.samba.org/show_bug.cgi?id=9577

Comment 1 Vincent Danen 2013-01-30 01:03:21 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Jann Horn as the original reporter.

Comment 2 Vincent Danen 2013-01-30 15:25:13 UTC
This has been corrected in upstream versions 4.0.2, 3.6.12, and 3.5.21.

External References:

http://www.samba.org/samba/history/samba-4.0.2.html

Comment 3 Vincent Danen 2013-01-30 15:30:16 UTC
Created samba4 tracking bugs for this issue

Affects: fedora-17 [bug 906003]

Comment 4 Vincent Danen 2013-01-30 15:30:19 UTC
Created samba tracking bugs for this issue

Affects: fedora-all [bug 906002]

Comment 6 Jan Lieskovsky 2013-01-31 15:50:47 UTC
External References:

http://www.samba.org/samba/security/CVE-2013-0214

Comment 8 Fedora Update System 2013-02-12 05:02:59 UTC
samba-3.6.12-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-02-12 05:06:19 UTC
samba-4.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-02-12 05:30:40 UTC
samba-3.6.12-1.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Andreas Schneider 2013-02-18 10:55:12 UTC
Samba upstream wants to remove SWAT in Samba 4.1, see:

https://lists.samba.org/archive/samba-technical/2013-February/090572.html

Comment 13 Tomas Hoger 2013-09-20 09:28:18 UTC
Upstream commit:

http://git.samba.org/?p=samba.git;a=commitdiff;h=91f4275

Comment 14 Tomas Hoger 2013-09-20 10:39:56 UTC
(In reply to Vincent Danen from comment #0)
> It was reported [1] that Samba's SWAT web configuration interface suffered
> from a potential cross-site request forgery (CSRF) vulnerability.

This was an issue in the CSRF protection implementation that could possibly allow attacker to bypass existing CSRF protections if they knew victim's password.  CSRF protection was added in upstream version 3.5.10, see CVE-2011-2522 / bug 721348.

Comment 15 errata-xmlrpc 2013-09-30 22:20:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1310 https://rhn.redhat.com/errata/RHSA-2013-1310.html

Comment 16 Huzaifa S. Sidhpurwala 2013-10-01 04:55:42 UTC
Statement:

(none)

Comment 20 errata-xmlrpc 2013-11-21 05:22:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1542 https://rhn.redhat.com/errata/RHSA-2013-1542.html

Comment 23 errata-xmlrpc 2014-03-17 17:43:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0305 https://rhn.redhat.com/errata/RHSA-2014-0305.html


Note You need to log in before you can comment on or make changes to this bug.